<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="#">{{title}}</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item" *ngFor="let route of routes">
                <a class="nav-link" href="{{route.link}}">{{route.name}}</a>
            </li>
        </ul>
        <button class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">Add Book</button>
    </div>
</nav>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add Book</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form #form="ngForm" (ngSubmit)="addBook(form)" novalidate>
                    <div class="form-group">
                        <label for="book-cover" class="col-form-label">Book Image</label>
                        <input type="file" class="form-control" name="image_url" id="image_url" ngModel>
                    </div>
                    <div class="form-group">
                        <label for="title" class="col-form-label">Book Title</label>
                        <input type="text" class="form-control" id="title" name="title" ngModel required>
                    </div>
                    <div class="form-group">
                        <label for="author" class="col-form-label">Author</label>
                        <input type="text" class="form-control" id="author" name="author" ngModel required>
                    </div>
                    <div class="form-group">
                        <label for="genre" class="col-form-label">Genre</label>
                        <select class="form-control" id="genre" name="genre" required ngModel>
                            <option *ngFor="let genre of genres; let i = index">{{genre}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="section" class="col-form-label">Section</label>
                        <select class="form-control" id="section" name="section" ngModel required>
                            <option *ngFor="let section of sections; let i = index">{{section}}</option>
                        </select>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                        <input type="submit" class="btn btn-success" [disabled]="form.invalid" value="Add">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>